# Get flow definition variant details

Retrieves the details of a specific A/B/n test or personalization variant, including its datasource and components.

Endpoint: GET /api/v1/flows/{flowId}/variants/{variantId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `flowId` (string, required)
    The unique identifier of the personalization or A/B/n test to retrieve. To get this ID, you can use the [List flow definitions](#/operation/flows-list_flow_definitions_by_page) for the page and use the flow `ref` value.

  - `variantId` (string, required)
    The unique identifier of the personalization or A/B/n test variant to retrieve. To get this ID, you can use the [List flow definitions](#/operation/flows-list_flow_definitions_by_page) endpoint. Use the `transpiledVariants[].ref`, or `variants[].ref` when available.

## Query parameters:

  - `language` (string)
    The language version of the page for which to retrieve the variant details.

  - `version` (any)
    The page version for which to retrieve the variant details. If not specified, the latest version will be used.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `flowId` (string)
    The unique identifier of the A/B/n test or personalization.
    Example: 1fdfbc60-9646-469d-b971-2b0f4c033fbc

  - `variantId` (string)
    The unique identifier of the A/B/n test or personalization variant.
    Example: 8ea2cb6f-a92a-4c05-88a3-a4c0b29c63a8

  - `components` (array)
    A list of components associated with the variant.

  - `components.componentId` (string)
    The unique identifier of the component.
    Example: d290f1ee-6c54-4b01-90e6-d701748f0851

  - `components.componentRenderingId` (string)
    The unique identifier of the component rendering definition.
    Example: 86a03271-dff4-470a-92bd-b68c67de2e25

  - `components.variantStrategy` (any)
    The variant strategy applied to this component. Either HIDE, SWAP, COPY, or null.

  - `components.datasourcePath` (any)
    The path to the datasource used by the variant component, or null if not applicable.
    Example: /sitecore/content/Verticals/SkatePark/Data/Promos/Summer Sale

  - `components.componentName` (string)
    The internal name of the component.
    Example: Promo

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

